# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_accountpolicy`](#dsc_accountpolicy): The DSC AccountPolicy resource type. Automatically generated from version 2.10.0.0
* [`dsc_securityoption`](#dsc_securityoption): The DSC SecurityOption resource type. Automatically generated from version 2.10.0.0
* [`dsc_securitytemplate`](#dsc_securitytemplate): The DSC SecurityTemplate resource type. Automatically generated from version 2.10.0.0
* [`dsc_userrightsassignment`](#dsc_userrightsassignment): The DSC UserRightsAssignment resource type. Automatically generated from version 2.10.0.0

## Resource types

### <a name="dsc_accountpolicy"></a>`dsc_accountpolicy`

The DSC AccountPolicy resource type.
Automatically generated from version 2.10.0.0

#### Properties

The following properties are available in the `dsc_accountpolicy` type.

##### `dsc_account_lockout_duration`

Data type: `Optional[Integer[0, 4294967295]]`

 

##### `dsc_account_lockout_threshold`

Data type: `Optional[Integer[0, 4294967295]]`

 

##### `dsc_enforce_password_history`

Data type: `Optional[Integer[0, 4294967295]]`

 

##### `dsc_enforce_user_logon_restrictions`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_maximum_lifetime_for_service_ticket`

Data type: `Optional[Integer[0, 4294967295]]`

 

##### `dsc_maximum_lifetime_for_user_ticket`

Data type: `Optional[Integer[0, 4294967295]]`

 

##### `dsc_maximum_lifetime_for_user_ticket_renewal`

Data type: `Optional[Integer[0, 4294967295]]`

 

##### `dsc_maximum_password_age`

Data type: `Optional[Integer[0, 4294967295]]`

 

##### `dsc_maximum_tolerance_for_computer_clock_synchronization`

Data type: `Optional[Integer[0, 4294967295]]`

 

##### `dsc_minimum_password_age`

Data type: `Optional[Integer[0, 4294967295]]`

 

##### `dsc_minimum_password_length`

Data type: `Optional[Integer[0, 4294967295]]`

 

##### `dsc_password_must_meet_complexity_requirements`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_reset_account_lockout_counter_after`

Data type: `Optional[Integer[0, 4294967295]]`

 

##### `dsc_store_passwords_using_reversible_encryption`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

#### Parameters

The following parameters are available in the `dsc_accountpolicy` type.

* [`dsc_name`](#dsc_name)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_name"></a>`dsc_name`

namevar

Data type: `String`

A unique name of the AccountPolicy resource instance. This is not used during configuration.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_securityoption"></a>`dsc_securityoption`

The DSC SecurityOption resource type.
Automatically generated from version 2.10.0.0

#### Properties

The following properties are available in the `dsc_securityoption` type.

##### `dsc_accounts_administrator_account_status`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_accounts_block_microsoft_accounts`

Data type: `Optional[Enum['This policy is disabled', 'Users cant add Microsoft accounts', 'Users cant add or log on with Microsoft accounts', 'this policy is disabled', 'users cant add microsoft accounts', 'users cant add or log on with microsoft accounts']]`

 

##### `dsc_accounts_guest_account_status`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_accounts_limit_local_account_use_of_blank_passwords_to_console_logon_only`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_accounts_rename_administrator_account`

Data type: `Optional[String]`

 

##### `dsc_accounts_rename_guest_account`

Data type: `Optional[String]`

 

##### `dsc_audit_audit_the_access_of_global_system_objects`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_audit_audit_the_use_of_backup_and_restore_privilege`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_audit_force_audit_policy_subcategory_settings_windows_vista_or_later_to_override_audit_policy_category_settings`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_audit_shut_down_system_immediately_if_unable_to_log_security_audits`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_dcom_machine_access_restrictions_in_security_descriptor_definition_language_sddl_syntax`

Data type: `Optional[String]`

 

##### `dsc_dcom_machine_launch_restrictions_in_security_descriptor_definition_language_sddl_syntax`

Data type: `Optional[String]`

 

##### `dsc_devices_allow_undock_without_having_to_log_on`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_devices_allowed_to_format_and_eject_removable_media`

Data type: `Optional[Enum['Administrators', 'Administrators and Power Users', 'Administrators and Interactive Users', 'administrators', 'administrators and power users', 'administrators and interactive users']]`

 

##### `dsc_devices_prevent_users_from_installing_printer_drivers`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_devices_restrict_cd_rom_access_to_locally_logged_on_user_only`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_devices_restrict_floppy_access_to_locally_logged_on_user_only`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_domain_controller_allow_server_operators_to_schedule_tasks`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_domain_controller_ldap_server_signing_requirements`

Data type: `Optional[Enum['None', 'Require Signing', 'none', 'require signing']]`

 

##### `dsc_domain_controller_refuse_machine_account_password_changes`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_domain_member_digitally_encrypt_or_sign_secure_channel_data_always`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_domain_member_digitally_encrypt_secure_channel_data_when_possible`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_domain_member_digitally_sign_secure_channel_data_when_possible`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_domain_member_disable_machine_account_password_changes`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_domain_member_maximum_machine_account_password_age`

Data type: `Optional[String]`

 

##### `dsc_domain_member_require_strong_windows_2000_or_later_session_key`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_interactive_logon_display_user_information_when_the_session_is_locked`

Data type: `Optional[Enum['User displayname, domain and user names', 'User display name only', 'Do not display user information', 'user displayname, domain and user names', 'user display name only', 'do not display user information']]`

 

##### `dsc_interactive_logon_do_not_display_last_user_name`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_interactive_logon_do_not_require_ctrl_alt_del`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_interactive_logon_machine_account_lockout_threshold`

Data type: `Optional[String]`

 

##### `dsc_interactive_logon_machine_inactivity_limit`

Data type: `Optional[String]`

 

##### `dsc_interactive_logon_message_text_for_users_attempting_to_log_on`

Data type: `Optional[String]`

 

##### `dsc_interactive_logon_message_title_for_users_attempting_to_log_on`

Data type: `Optional[String]`

 

##### `dsc_interactive_logon_number_of_previous_logons_to_cache_in_case_domain_controller_is_not_available`

Data type: `Optional[String]`

 

##### `dsc_interactive_logon_prompt_user_to_change_password_before_expiration`

Data type: `Optional[String]`

 

##### `dsc_interactive_logon_require_domain_controller_authentication_to_unlock_workstation`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_interactive_logon_require_smart_card`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_interactive_logon_smart_card_removal_behavior`

Data type: `Optional[Enum['No Action', 'Lock workstation', 'Force logoff', 'Disconnect if a remote Remote Desktop Services session', 'no action', 'lock workstation', 'force logoff', 'disconnect if a remote remote desktop services session']]`

 

##### `dsc_microsoft_network_client_digitally_sign_communications_always`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_microsoft_network_client_digitally_sign_communications_if_server_agrees`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_microsoft_network_client_send_unencrypted_password_to_third_party_smb_servers`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_microsoft_network_server_amount_of_idle_time_required_before_suspending_session`

Data type: `Optional[String]`

 

##### `dsc_microsoft_network_server_attempt_s4u2self_to_obtain_claim_information`

Data type: `Optional[Enum['Default', 'Enabled', 'Disabled', 'default', 'enabled', 'disabled']]`

 

##### `dsc_microsoft_network_server_digitally_sign_communications_always`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_microsoft_network_server_digitally_sign_communications_if_client_agrees`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_microsoft_network_server_disconnect_clients_when_logon_hours_expire`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_microsoft_network_server_server_spn_target_name_validation_level`

Data type: `Optional[Enum['Off', 'Accept if provided by client', 'Required from client', 'off', 'accept if provided by client', 'required from client']]`

 

##### `dsc_network_access_allow_anonymous_sid_name_translation`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_network_access_do_not_allow_anonymous_enumeration_of_sam_accounts`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_network_access_do_not_allow_anonymous_enumeration_of_sam_accounts_and_shares`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_network_access_do_not_allow_storage_of_passwords_and_credentials_for_network_authentication`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_network_access_let_everyone_permissions_apply_to_anonymous_users`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_network_access_named_pipes_that_can_be_accessed_anonymously`

Data type: `Optional[String]`

 

##### `dsc_network_access_remotely_accessible_registry_paths`

Data type: `Optional[String]`

 

##### `dsc_network_access_remotely_accessible_registry_paths_and_subpaths`

Data type: `Optional[String]`

 

##### `dsc_network_access_restrict_anonymous_access_to_named_pipes_and_shares`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_network_access_restrict_clients_allowed_to_make_remote_calls_to_sam`

Data type: `Optional[Array[Struct[{
              permission => Optional[Enum['Allow', 'Deny', 'allow', 'deny']],
              identity => Optional[String]
            }]]]`

The Permission and Identity required for restricted remote Sam access

##### `dsc_network_access_shares_that_can_be_accessed_anonymously`

Data type: `Optional[String]`

 

##### `dsc_network_access_sharing_and_security_model_for_local_accounts`

Data type: `Optional[Enum['Classic - Local users authenticate as themselves', 'Guest only - Local users authenticate as Guest', 'classic - local users authenticate as themselves', 'guest only - local users authenticate as guest']]`

 

##### `dsc_network_security_allow_local_system_to_use_computer_identity_for_ntlm`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_network_security_allow_localsystem_null_session_fallback`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_network_security_allow_pku2u_authentication_requests_to_this_computer_to_use_online_identities`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_network_security_configure_encryption_types_allowed_for_kerberos`

Data type: `Optional[Array[Enum['DES_CBC_CRC', 'DES_CBC_MD5', 'RC4_HMAC_MD5', 'AES128_HMAC_SHA1', 'AES256_HMAC_SHA1', 'FUTURE', 'des_cbc_crc', 'des_cbc_md5', 'rc4_hmac_md5', 'aes128_hmac_sha1', 'aes256_hmac_sha1', 'future']]]`

 

##### `dsc_network_security_do_not_store_lan_manager_hash_value_on_next_password_change`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_network_security_force_logoff_when_logon_hours_expire`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_network_security_lan_manager_authentication_level`

Data type: `Optional[Enum['Send LM & NTLM responses', 'Send LM & NTLM - use NTLMv2 session security if negotiated', 'Send NTLM responses only', 'Send NTLMv2 responses only', 'Send NTLMv2 responses only. Refuse LM', 'Send NTLMv2 responses only. Refuse LM & NTLM', 'send lm & ntlm responses', 'send lm & ntlm - use ntlmv2 session security if negotiated', 'send ntlm responses only', 'send ntlmv2 responses only', 'send ntlmv2 responses only. refuse lm', 'send ntlmv2 responses only. refuse lm & ntlm']]`

 

##### `dsc_network_security_ldap_client_signing_requirements`

Data type: `Optional[Enum['None', 'Negotiate Signing', 'Require Signing', 'none', 'negotiate signing', 'require signing']]`

 

##### `dsc_network_security_minimum_session_security_for_ntlm_ssp_based_including_secure_rpc_clients`

Data type: `Optional[Enum['Require NTLMv2 session security', 'Require 128-bit encryption', 'Both options checked', 'require ntlmv2 session security', 'require 128-bit encryption', 'both options checked']]`

 

##### `dsc_network_security_minimum_session_security_for_ntlm_ssp_based_including_secure_rpc_servers`

Data type: `Optional[Enum['Require NTLMv2 session security', 'Require 128-bit encryption', 'Both options checked', 'require ntlmv2 session security', 'require 128-bit encryption', 'both options checked']]`

 

##### `dsc_network_security_restrict_ntlm_add_remote_server_exceptions_for_ntlm_authentication`

Data type: `Optional[String]`

 

##### `dsc_network_security_restrict_ntlm_add_server_exceptions_in_this_domain`

Data type: `Optional[String]`

 

##### `dsc_network_security_restrict_ntlm_audit_incoming_ntlm_traffic`

Data type: `Optional[Enum['Disabled', 'Enable auditing for domain accounts', 'Enable auditing for all accounts', 'disabled', 'enable auditing for domain accounts', 'enable auditing for all accounts']]`

 

##### `dsc_network_security_restrict_ntlm_audit_ntlm_authentication_in_this_domain`

Data type: `Optional[Enum['Disable', 'Enable for domain accounts to domain servers', 'Enable for domain accounts', 'Enable for domain servers', 'Enable all', 'disable', 'enable for domain accounts to domain servers', 'enable for domain accounts', 'enable for domain servers', 'enable all']]`

 

##### `dsc_network_security_restrict_ntlm_incoming_ntlm_traffic`

Data type: `Optional[Enum['Allow all', 'Deny all domain accounts', 'Deny all accounts', 'allow all', 'deny all domain accounts', 'deny all accounts']]`

 

##### `dsc_network_security_restrict_ntlm_ntlm_authentication_in_this_domain`

Data type: `Optional[Enum['Disable', 'Deny for domain accounts to domain servers', 'Deny for domain accounts', 'Deny for domain servers', 'Deny all', 'disable', 'deny for domain accounts to domain servers', 'deny for domain accounts', 'deny for domain servers', 'deny all']]`

 

##### `dsc_network_security_restrict_ntlm_outgoing_ntlm_traffic_to_remote_servers`

Data type: `Optional[Enum['Allow all', 'Audit all', 'Deny all', 'allow all', 'audit all', 'deny all']]`

 

##### `dsc_recovery_console_allow_automatic_administrative_logon`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_recovery_console_allow_floppy_copy_and_access_to_all_drives_and_folders`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_shutdown_allow_system_to_be_shut_down_without_having_to_log_on`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_shutdown_clear_virtual_memory_pagefile`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_system_cryptography_force_strong_key_protection_for_user_keys_stored_on_the_computer`

Data type: `Optional[Enum['User input is not required when new keys are stored and used', 'User is prompted when the key is first used', 'User must enter a password each time they use a key', 'user input is not required when new keys are stored and used', 'user is prompted when the key is first used', 'user must enter a password each time they use a key']]`

 

##### `dsc_system_cryptography_use_fips_compliant_algorithms_for_encryption_hashing_and_signing`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_system_objects_require_case_insensitivity_for_non_windows_subsystems`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_system_objects_strengthen_default_permissions_of_internal_system_objects_eg_symbolic_links`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_system_settings_optional_subsystems`

Data type: `Optional[String]`

 

##### `dsc_system_settings_use_certificate_rules_on_windows_executables_for_software_restriction_policies`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_user_account_control_admin_approval_mode_for_the_built_in_administrator_account`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_user_account_control_allow_uiaccess_applications_to_prompt_for_elevation_without_using_the_secure_desktop`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_user_account_control_behavior_of_the_elevation_prompt_for_administrators_in_admin_approval_mode`

Data type: `Optional[Enum['Elevate without prompting', 'Prompt for credentials on the secure desktop', 'Prompt for consent on the secure desktop', 'Prompt for credentials', 'Prompt for consent', 'Prompt for consent for non-Windows binaries', 'elevate without prompting', 'prompt for credentials on the secure desktop', 'prompt for consent on the secure desktop', 'prompt for credentials', 'prompt for consent', 'prompt for consent for non-windows binaries']]`

 

##### `dsc_user_account_control_behavior_of_the_elevation_prompt_for_standard_users`

Data type: `Optional[Enum['Automatically deny elevation request', 'Prompt for credentials on the secure desktop', 'Prompt for credentials', 'automatically deny elevation request', 'prompt for credentials on the secure desktop', 'prompt for credentials']]`

 

##### `dsc_user_account_control_detect_application_installations_and_prompt_for_elevation`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_user_account_control_only_elevate_executables_that_are_signed_and_validated`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_user_account_control_only_elevate_uiaccess_applications_that_are_installed_in_secure_locations`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_user_account_control_run_all_administrators_in_admin_approval_mode`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_user_account_control_switch_to_the_secure_desktop_when_prompting_for_elevation`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

##### `dsc_user_account_control_virtualize_file_and_registry_write_failures_to_per_user_locations`

Data type: `Optional[Enum['Enabled', 'Disabled', 'enabled', 'disabled']]`

 

#### Parameters

The following parameters are available in the `dsc_securityoption` type.

* [`dsc_name`](#dsc_name)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_name"></a>`dsc_name`

namevar

Data type: `String`

Describes the security option to be managed. This could be anything as long as it is unique

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_securitytemplate"></a>`dsc_securitytemplate`

The DSC SecurityTemplate resource type.
Automatically generated from version 2.10.0.0

#### Properties

The following properties are available in the `dsc_securitytemplate` type.

##### `dsc_path`

Data type: `String`

The path to the desired security policy template (.inf)

#### Parameters

The following parameters are available in the `dsc_securitytemplate` type.

* [`dsc_issingleinstance`](#dsc_issingleinstance)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_issingleinstance"></a>`dsc_issingleinstance`

namevar

Data type: `Enum['Yes''yes']`

Specifies the resource is a single instance, the value must be 'Yes'

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_userrightsassignment"></a>`dsc_userrightsassignment`

The DSC UserRightsAssignment resource type.
Automatically generated from version 2.10.0.0

#### Properties

The following properties are available in the `dsc_userrightsassignment` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent', 'present', 'absent']]`

Desired state of resource.

##### `dsc_identity`

Data type: `Array[String]`

The identity of the user or group to be added or removed from the user rights assignment.

#### Parameters

The following parameters are available in the `dsc_userrightsassignment` type.

* [`dsc_force`](#dsc_force)
* [`dsc_policy`](#dsc_policy)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_force"></a>`dsc_force`

Data type: `Optional[Boolean]`

Specifies whether to Force the change

##### <a name="dsc_policy"></a>`dsc_policy`

namevar

Data type: `Enum['Create_a_token_object', 'Access_this_computer_from_the_network', 'Change_the_system_time', 'Deny_log_on_as_a_batch_job', 'Deny_log_on_through_Remote_Desktop_Services', 'Create_global_objects', 'Remove_computer_from_docking_station', 'Deny_access_to_this_computer_from_the_network', 'Act_as_part_of_the_operating_system', 'Modify_firmware_environment_values', 'Deny_log_on_locally', 'Access_Credential_Manager_as_a_trusted_caller', 'Restore_files_and_directories', 'Change_the_time_zone', 'Replace_a_process_level_token', 'Manage_auditing_and_security_log', 'Create_symbolic_links', 'Modify_an_object_label', 'Enable_computer_and_user_accounts_to_be_trusted_for_delegation', 'Generate_security_audits', 'Increase_a_process_working_set', 'Take_ownership_of_files_or_other_objects', 'Bypass_traverse_checking', 'Log_on_as_a_service', 'Shut_down_the_system', 'Lock_pages_in_memory', 'Impersonate_a_client_after_authentication', 'Profile_system_performance', 'Debug_programs', 'Profile_single_process', 'Allow_log_on_through_Remote_Desktop_Services', 'Allow_log_on_locally', 'Increase_scheduling_priority', 'Synchronize_directory_service_data', 'Add_workstations_to_domain', 'Adjust_memory_quotas_for_a_process', 'Obtain_an_impersonation_token_for_another_user_in_the_same_session', 'Perform_volume_maintenance_tasks', 'Load_and_unload_device_drivers', 'Force_shutdown_from_a_remote_system', 'Back_up_files_and_directories', 'Create_a_pagefile', 'Deny_log_on_as_a_service', 'Log_on_as_a_batch_job', 'Create_permanent_shared_objects', 'create_a_token_object', 'access_this_computer_from_the_network', 'change_the_system_time', 'deny_log_on_as_a_batch_job', 'deny_log_on_through_remote_desktop_services', 'create_global_objects', 'remove_computer_from_docking_station', 'deny_access_to_this_computer_from_the_network', 'act_as_part_of_the_operating_system', 'modify_firmware_environment_values', 'deny_log_on_locally', 'access_credential_manager_as_a_trusted_caller', 'restore_files_and_directories', 'change_the_time_zone', 'replace_a_process_level_token', 'manage_auditing_and_security_log', 'create_symbolic_links', 'modify_an_object_label', 'enable_computer_and_user_accounts_to_be_trusted_for_delegation', 'generate_security_audits', 'increase_a_process_working_set', 'take_ownership_of_files_or_other_objects', 'bypass_traverse_checking', 'log_on_as_a_service', 'shut_down_the_system', 'lock_pages_in_memory', 'impersonate_a_client_after_authentication', 'profile_system_performance', 'debug_programs', 'profile_single_process', 'allow_log_on_through_remote_desktop_services', 'allow_log_on_locally', 'increase_scheduling_priority', 'synchronize_directory_service_data', 'add_workstations_to_domain', 'adjust_memory_quotas_for_a_process', 'obtain_an_impersonation_token_for_another_user_in_the_same_session', 'perform_volume_maintenance_tasks', 'load_and_unload_device_drivers', 'force_shutdown_from_a_remote_system', 'back_up_files_and_directories', 'create_a_pagefile', 'deny_log_on_as_a_service', 'log_on_as_a_batch_job', 'create_permanent_shared_objects']`

The policy name of the user rights assignment to be configured.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

